<?php

use QUI\Locations\Controls\Lists\LocationList;
use QUI\Utils\Security\Orthos;

/**
 * Get LocationList body (with pagination)
 *
 * @param int $categoryId - location category ID
 * @param int $page - Pagination page
 * @param int $limit - Max number of locations per page
 * @param string $sort (optional) - List sort mode
 * @return string - LocationList template body (HTML)
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_locations_ajax_frontend_LocationList_get',
    function ($categoryId, $listHash, $page, $limit, $sort = null) {
        $LocationList = new LocationList([
            'showTitle'      => false,
            'Site'           => QUI::getRewrite()->getSite(),
            'categoryId'     => (int)$categoryId,
            'listHash'       => $listHash ? Orthos::clear($listHash) : false,
            'limit'          => (int)$limit,
            'page'           => (int)$page,
            'sort'           => $sort ? Orthos::clear($sort) : false,
            'itemtype'       => 'http://schema.org/ItemList',
            'child-itemtype' => 'http://schema.org/ListItem',
            'showSheets'     => false
        ]);

        return $LocationList->getBody();
    },
    ['categoryId', 'listHash', 'page', 'limit', 'sort']
);
