<?php

use QUI\Utils\Security\Orthos;
use QUI\Geo\Utils\Geo;

/**
 * Get coordinates (GeoPoint) of a location based on a Geo identifier
 *
 * @param string $geoSuggestionIdentifier - Geo identifier provided by LocatorSearch
 * @return array|false
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_locations_ajax_frontend_Locator_getGeoPointByGeoIdentifier',
    function ($geoIdentifier) {
        // Determine GeoLocation by identifier
        try {
            $CenterLocation = Geo::getApi()->getGeoLocationByGeoSuggestionIdentifier(
                Orthos::clear($geoIdentifier)
            );
        } catch (\Exception $Exception) {
            QUI\System\Log::writeException($Exception);
            return false;
        }

        return $CenterLocation->getPosition()->toArray();
    },
    ['geoIdentifier']
);
