<?php

use QUI\Locations\Handler\Locations;
use QUI\Locations\Controls\MapLocationDetails;

/**
 * Get HTML content for a location that is displayed in the map
 *
 * @param int $locationId
 * @return string - HTML of LocatorListResult
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_locations_ajax_frontend_Locator_getMapLocationDetails',
    function ($locationId, $siteId) {
        if (empty($siteId)) {
            $siteId = 1;
        }

        try {
            $Site = QUI::getRewrite()->getProject()->get((int)$siteId);
        } catch (\Exception $Exception) {
            QUI\System\Log::writeException($Exception);
            $Site = false;
        }

        try {
            $Location = Locations::getLocation((int)$locationId);
        } catch (\Exception $Exception) {
            QUI\System\Log::writeException($Exception);
            $Location = false;
        }

        $MapLocationDetails = new MapLocationDetails([
            'Location' => $Location,
            'Site'     => $Site
        ]);

        return $MapLocationDetails->getBody();
    },
    ['locationId', 'siteId']
);
