<?php

use QUI\Geo\Utils\Geo;
use QUI\Geo\Utils\GeoPoint;

/**
 * Get data for a geolocation based on browser Geolocation
 *
 * @return array|false
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_locations_ajax_frontend_Locator_getUserGeolocationData',
    function ($lat, $lng) {
        try {
            $Location = Geo::getApi()->getGeoLocationByCoordinates(new GeoPoint($lat, $lng));
        } catch (\Exception $Exception) {
            QUI\System\Log::writeException($Exception);
            return false;
        }

        // Parse location name
        $locationName = [];

        if ($Location->getZipCode()) {
            $locationName[] = $Location->getZipCode();
        }

        if ($Location->getCity()) {
            $locationName[] = $Location->getCity();
        }

        return [
            'title'         => implode(' ', $locationName),
            'country'       => $Location->getCountry(),
            'geoIdentifier' => $Location->getGeoModuleIdentifier()
        ];
    },
    ['lat', 'lng']
);
