<?php

namespace QUI\Locations\Attributes\Types;

use QUI;
use QUI\Projects\Site\Utils as QUISiteUtils;

/**
 * Class UrlMultiLang
 *
 * A multi-lingual URL attribute
 */
class UrlMultiLang extends InputMultiLang
{
    /**
     * Cleanup value
     *
     * @param mixed $value
     * @return mixed
     */
    public function cleanUpValue($value)
    {
        if (empty($value)) {
            return null;
        }

        if (\is_string($value)) {
            $value = \json_decode($value, true);
        }

        foreach ($value as $lang => $urlSlug) {
            $value[$lang] = QUISiteUtils::clearUrl($urlSlug);
        }

        return \json_encode($value);
    }
}
