<?php

namespace QUI\Locations\Locator\Filter;

use QUI\Control;

interface LocatorFilterInterface
{
    /**
     * Get list of allowed/filtered location IDs based on the $filterData
     * provided by the Filter control.
     *
     * @param array $filterData
     * @return int[]|false - List of allowed IDs or false if no ID restrictions apply
     */
    public function getAllowedLocationIds($filterData);

    /**
     * Get Filter control.
     *
     * @return AbstractFilterControl
     */
    public function getControl();
}
