<?php

use QUI\Locations\Controls\Search\LocationSearch;
use QUI\Locations\Controls\Lists\LocationList;
use QUI\Locations\Handler\LocationSearch as LocationSearchHandler;

// Fetch search results and build LocationList
$LocationList = false;

if (!empty($_REQUEST['cat_id']) || !empty($_REQUEST['search'])) {
    try {
        $LocationList = new LocationList([
            'limit'                      => $Site->getAttribute(LocationSearchHandler::SITE_ATTR_RESULTS_PER_PAGE),
            'locationCountOnEmptySearch' => $Site->getAttribute(LocationSearchHandler::SITE_ATTR_GENERAL_RESULTS_ON_EMPTY_SEARCH),
            'locationIds'                => LocationSearchHandler::getLocationIdsByRequest(),
            'showPagination'             => true,
            'emptyText'                  => QUI::getLocale()->get(
                'quiqqer/locations',
                'locationsearch.no_results'
            )
        ]);

        if (!empty($_REQUEST['page'])) {
            $LocationList->setAttribute('page', (int)$_REQUEST['page']);
        }

        if (!empty($_REQUEST['limit'])) {
            $LocationList->setAttribute('limit', (int)$_REQUEST['limit']);
        }
    } catch (\Exception $Exception) {
        QUI\System\Log::writeException($Exception);
    }
}

$Engine->assign([
    'LocationSearch' => new LocationSearch(),
    'LocationList'   => $LocationList
]);
